%global pypi_name boto3

Name:           python-%{pypi_name}
Version:        1.37.1
Release:        %mkrel 1
Summary:        The AWS SDK for Python
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/boto3/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Boto3 is the Amazon Web Services (AWS) Software Development
Kit (SDK) for Python, which allows Python developers to
write software that makes use of services like Amazon S3
and Amazon EC2.

%package -n     python3-%{pypi_name}
Summary:        The AWS SDK for Python 3
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-mock
BuildRequires:  python3-wheel
# for tests
BuildRequires:  python3-s3transfer
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Boto3 is the Amazon Web Services (AWS) Software Development
Kit (SDK) for Python3, which allows Python developers to
write software that makes use of services like Amazon S3
and Amazon EC2.

%prep
%autosetup -n %{pypi_name}-%{version} -p1


# Remove online tests
rm -rf tests/integration

# Loosen reqs
perl -pi -e "s/(botocore|jmespath|s3transfer)>=(.*),(<.*)(',?)/\$1>=\$2\$4/" setup.*

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files boto3

%check
#pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE



%changelog
* Wed Feb 26 2025 daviddavid <daviddavid> 1.37.1-1.mga10
+ Revision: 2152642
- new version: 1.37.1
- rebuild for python 3.13

* Fri Jan 24 2025 daviddavid <daviddavid> 1.36.5-1.mga10
+ Revision: 2141268
- new version: 1.36.5

* Tue Jan 07 2025 daviddavid <daviddavid> 1.35.93-1.mga10
+ Revision: 2135844
- new version: 1.35.93

* Fri Dec 27 2024 papoteur <papoteur> 1.35.79-2.mga10
+ Revision: 2130407
- add and use pytest

* Mon Dec 16 2024 daviddavid <daviddavid> 1.35.79-1.mga10
+ Revision: 2125521
- new version: 1.35.79

* Wed Dec 11 2024 daviddavid <daviddavid> 1.35.78-1.mga10
+ Revision: 2123449
- new version: 1.35.78

* Thu Nov 07 2024 daviddavid <daviddavid> 1.35.55-1.mga10
+ Revision: 2112931
- new version: 1.35.55

* Tue Oct 01 2024 daviddavid <daviddavid> 1.35.30-1.mga10
+ Revision: 2102173
- new version: 1.35.30

* Sun Aug 25 2024 daviddavid <daviddavid> 1.35.5-1.mga10
+ Revision: 2091220
- new version: 1.35.5

* Tue Aug 06 2024 daviddavid <daviddavid> 1.34.154-1.mga10
+ Revision: 2083713
- new version: 1.34.154

* Fri Jun 28 2024 daviddavid <daviddavid> 1.34.135-1.mga10
+ Revision: 2077901
- new version: 1.34.135

* Fri May 31 2024 daviddavid <daviddavid> 1.34.116-1.mga10
+ Revision: 2068925
- new version: 1.34.116

* Wed Apr 17 2024 daviddavid <daviddavid> 1.34.85-1.mga10
+ Revision: 2058379
- new version: 1.34.85

* Tue Mar 12 2024 daviddavid <daviddavid> 1.34.60-1.mga10
+ Revision: 2049256
- new version: 1.34.60

* Thu Feb 15 2024 daviddavid <daviddavid> 1.34.42-1.mga10
+ Revision: 2041460
- new version: 1.34.42

* Sat Jan 20 2024 daviddavid <daviddavid> 1.34.23-1.mga10
+ Revision: 2032413
- new version: 1.34.23

* Fri Dec 22 2023 daviddavid <daviddavid> 1.34.6-1.mga10
+ Revision: 2020822
- new version: 1.34.6
- new version: 1.34.4

* Mon Dec 04 2023 daviddavid <daviddavid> 1.33.6-1.mga10
+ Revision: 2013099
- new version: 1.33.6

* Sat Nov 25 2023 daviddavid <daviddavid> 1.29.6-1.mga10
+ Revision: 2009590
- new version: 1.29.6

* Sat Nov 04 2023 daviddavid <daviddavid> 1.28.78-1.mga10
+ Revision: 2003934
- new version: 1.28.78

* Sun Oct 01 2023 daviddavid <daviddavid> 1.28.57-1.mga10
+ Revision: 1992782
- new version: 1.28.57

* Wed Aug 30 2023 daviddavid <daviddavid> 1.28.36-1.mga10
+ Revision: 1981813
- new version: 1.28.36

* Tue Jun 20 2023 daviddavid <daviddavid> 1.26.157-1.mga9
+ Revision: 1962695
- new version: 1.26.157

* Fri Feb 17 2023 daviddavid <daviddavid> 1.26.73-1.mga9
+ Revision: 1943703
- new version: 1.26.73

* Mon Feb 06 2023 daviddavid <daviddavid> 1.26.64-1.mga9
+ Revision: 1938907
- new version: 1.26.64

* Mon Jan 30 2023 daviddavid <daviddavid> 1.26.59-1.mga9
+ Revision: 1937039
- new version: 1.26.59

* Mon Jan 23 2023 daviddavid <daviddavid> 1.26.54-1.mga9
+ Revision: 1934949
- new version: 1.26.54

* Sat Jan 14 2023 daviddavid <daviddavid> 1.26.50-1.mga9
+ Revision: 1932822
- new version: 1.26.50

* Fri Jan 06 2023 daviddavid <daviddavid> 1.26.44-1.mga9
+ Revision: 1930515
- new version: 1.26.44

* Sun Jan 01 2023 daviddavid <daviddavid> 1.26.35-1.mga9
+ Revision: 1928668
- new version: 1.26.35

* Sun Dec 18 2022 daviddavid <daviddavid> 1.26.32-1.mga9
+ Revision: 1924909
- new version: 1.26.32

* Tue Nov 22 2022 daviddavid <daviddavid> 1.26.14-1.mga9
+ Revision: 1910119
- new version: 1.26.14

* Wed Nov 09 2022 daviddavid <daviddavid> 1.26.5-1.mga9
+ Revision: 1904907
- new version: 1.26.5

* Thu Sep 29 2022 neoclust <neoclust> 1.24.82-1.mga9
+ Revision: 1893177
- New version 1.24.82

* Tue Sep 06 2022 neoclust <neoclust> 1.24.62-1.mga9
+ Revision: 1884418
- New version 1.24.62

* Wed Jul 13 2022 papoteur <papoteur> 1.24.28-1.mga9
+ Revision: 1868738
- new 1.24.28

* Tue Jun 14 2022 papoteur <papoteur> 1.18.21-3.mga9
+ Revision: 1864380
- Disable temporarly buildrequires for already disabled test to break circular requires
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Aug 14 2021 wally <wally> 1.18.21-1.mga9
+ Revision: 1741317
- new version 1.18.21
- allow installing with botocore >= 2.0.0dev

* Fri Jun 04 2021 daviddavid <daviddavid> 1.17.87-1.mga9
+ Revision: 1729603
- new version: 1.17.87

* Fri May 21 2021 daviddavid <daviddavid> 1.17.77-1.mga9
+ Revision: 1725999
- new version: 1.17.77

* Mon Apr 26 2021 daviddavid <daviddavid> 1.17.57-1.mga9
+ Revision: 1719827
- new version: 1.17.57

* Mon Apr 12 2021 daviddavid <daviddavid> 1.17.49-1.mga9
+ Revision: 1714894
- new version: 1.17.49

* Fri Mar 19 2021 daviddavid <daviddavid> 1.17.32-1.mga9
+ Revision: 1704700
- new version: 1.17.32
- rebuild for python 3.9

* Fri Feb 26 2021 daviddavid <daviddavid> 1.17.16-1.mga9
+ Revision: 1691760
- new version: 1.17.16

* Thu Jan 07 2021 neoclust <neoclust> 1.16.50-1.mga8
+ Revision: 1669675
- New version 1.16.50

* Thu Dec 24 2020 daviddavid <daviddavid> 1.16.43-1.mga8
+ Revision: 1663503
- new version: 1.16.43

* Tue Dec 15 2020 daviddavid <daviddavid> 1.16.35-1.mga8
+ Revision: 1657627
- new version: 1.16.35

* Wed Nov 11 2020 guillomovitch <guillomovitch> 1.16.15-1.mga8
+ Revision: 1644661
- new version 1.16.15

* Sat Nov 07 2020 guillomovitch <guillomovitch> 1.16.13-1.mga8
+ Revision: 1643300
- new version 1.16.13

* Thu Oct 22 2020 daviddavid <daviddavid> 1.16.2-1.mga8
+ Revision: 1638519
- new version: 1.16.2

* Fri Sep 18 2020 daviddavid <daviddavid> 1.15.0-1.mga8
+ Revision: 1628613
- new version: 1.15.0

* Mon Sep 14 2020 daviddavid <daviddavid> 1.14.60-1.mga8
+ Revision: 1626516
- new version: 1.14.60

* Sat Aug 29 2020 daviddavid <daviddavid> 1.14.51-1.mga8
+ Revision: 1619520
- new version: 1.14.51

* Mon Aug 10 2020 daviddavid <daviddavid> 1.14.38-1.mga8
+ Revision: 1613062
- new version: 1.14.38

* Tue Jul 14 2020 daviddavid <daviddavid> 1.14.20-1.mga8
+ Revision: 1605947
- new version: 1.14.20

* Sun May 31 2020 daviddavid <daviddavid> 1.13.19-1.mga8
+ Revision: 1589219
- new version: 1.13.19

* Tue Apr 28 2020 daviddavid <daviddavid> 1.12.47-1.mga8
+ Revision: 1572861
- new version: 1.12.47

* Fri Apr 10 2020 daviddavid <daviddavid> 1.12.39-1.mga8
+ Revision: 1566020
- new version: 1.12.39

* Sat Mar 28 2020 daviddavid <daviddavid> 1.12.31-1.mga8
+ Revision: 1561339
- new version: 1.12.31

* Tue Feb 18 2020 umeabot <umeabot> 1.10.21-2.mga8
+ Revision: 1538882
- Mageia 8 Mass Rebuild

* Wed Nov 27 2019 daviddavid <daviddavid> 1.10.21-1.mga8
+ Revision: 1463180
- new version: 1.10.21

* Mon Oct 21 2019 daviddavid <daviddavid> 1.9.225-1.mga8
+ Revision: 1454886
- initial package python-boto3

